<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAutopostTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('swp_autopost', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('name');
            $table->string('type');
            $table->string('key_1')->nullable();
            $table->string('key_2')->nullable();
            $table->string('key_3')->nullable();
            $table->string('key_4')->nullable();
            $table->string('key_5')->nullable();
            $table->string('key_6')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down()
    {
        Schema::dropIfExists('swp_autopost');
    }
}
